import Vue from 'vue'
// mint-ui 样式表
import 'mint-ui/lib/style.css'

// 加载vue-tk
import 'vue-tk/dist/vue-tk.css'
import vueTk from 'vue-tk'
Vue.use(vueTk)

// 加载全局过滤器
import * as filters from 'assets/js/filter.js'
for (let name in filters) {
  Vue.filter(name, filters[name])
}

// 加载全局mixin
import globalMixin from '../mixins/global'
Vue.mixin(globalMixin)

import 'assets/js/plus'

// 后退按钮监听
import 'assets/js/keyBack'

// 项目样式
import 'assets/scss/_base.scss'
import 'assets/scss/style.scss'
