/**
 * Created by Aker on 2016/12/19.
 */
import util from 'assets/js/util'
import {historyList} from 'assets/js/router'

let closeApp = false
const defaultKeyBackHandle = function () {
  if (historyList.length === 1) {
    if (closeApp) {
      window.plus.runtime.quit()
    } else {
      util.toast('再按一次退出应用')
      closeApp = true
      setTimeout(function () {
        closeApp = false
      }, 2000)
    }
  } else {
    // if (util.os.android) {
    console.log(window.history)
    window.history.back()
    // }
  }
}

let customHandle = null

const Rxports = {
  set: function (func) {
    customHandle = func
  },
  remove: function () {
    customHandle = null
  }
}

const backListener = function () {
  if (customHandle === null) {
    defaultKeyBackHandle()
  } else {
    customHandle()
  }
}

if (util.os.plus) {
  setInterval(function () {
    plus.key.removeEventListener('backbutton', backListener)
    plus.key.addEventListener('backbutton', backListener, false)
  }, 1000)
}

export {defaultKeyBackHandle}

export default Rxports
