import util from 'assets/js/util.js'

/**
 * html提取字符串过滤器，将html中的标签全部去除，仅保留文字，
 * @param {String} length 返回字符串的截取长度，不传值不做截取处理
 * @return {String} 返回处理的纯文字字符串
 */
export const strip = (html, length) => {
  return length ? util.strip(html).substr(0, length) : util.strip(html)
}
